Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.threshold
Class ShamirSplitSecret

    java.lang.Object
      org.bouncycastle.crypto.threshold.ShamirSplitSecret

All Implemented Interfaces:
  SplitSecret

public class ShamirSplitSecret
extends java.lang.Object
implements SplitSecret

Constructor Summary
`ShamirSplitSecret(ShamirSecretSplitter.Algorithm algorithm, ShamirSecretSplitter.Mode mode, ShamirSplitSecretShare[] secretShares)`

Method Summary
`ShamirSplitSecret` | `divide(int div)`
`byte[]` | `getSecret()` Recombines secret shares to reconstruct the original secret.
`SecretShare[]` | `getSecretShares()`
`ShamirSplitSecret` | `multiple(int mul)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShamirSplitSecret

    public ShamirSplitSecret(ShamirSecretSplitter.Algorithm algorithm,
                             ShamirSecretSplitter.Mode mode,
                             ShamirSplitSecretShare[] secretShares)

Method Detail

### getSecretShares

    public SecretShare[] getSecretShares()

  Specified by:
    `getSecretShares` in interface `SplitSecret`

### multiple

    public ShamirSplitSecret multiple(int mul)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### divide

    public ShamirSplitSecret divide(int div)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getSecret

    public byte[] getSecret()
                     throws java.io.IOException

  Description copied from interface: `SplitSecret`
  Recombines secret shares to reconstruct the original secret.

  Specified by:
    `getSecret` in interface `SplitSecret`
  Returns:
    A byte array containing the reconstructed secret.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD